Xbit
  1. Payment
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Payment

Calculate payment amount with commission

POST
https://newsupport.xbit.pro/api/v1/payment/calculate
Payment
Calculate the total amount including commission before creating a payment. Shows how much the customer needs to pay (including fees) for a specific amount. For certain payment types (e.g., KZT crosspay), the final amount must be divisible by 100. If the amount is invalid, the API returns suggested valid amounts (nearestLower and nearestHigher).

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Payment calculation completed successfully
Body

🟠400
🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/payment/calculate' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "amountInCents": 10050,
    "currency": "UAH"
}'
Response Response Example
200 - Example 1
{
    "amountInCents": 10050,
    "amountToChargeInCents": 10452,
    "currency": "UAH",
    "message": "Calculation completed successfully"
}
Previous
Get deposit (payment) history
Next
Create a new payment
Built with